Summary:	IPv6 Tunneling daemon
Summary(pl.UTF-8):	Demon do tunelowania IPv6
Name:		miredo
Version:	1.2.4
Release:	1
License:	BSD
Group:		Networking/Daemons
Source0:	http://www.remlab.net/files/miredo/archive/%{name}-%{version}.tar.bz2
# Source0-md5:	1281e7e75bddbde244cd778d99fa22d4
Source1:	%{name}-server.init
Source2:	%{name}-teredo.init
URL:		http://www.simphalempin.com/dev/miredo/
BuildRequires:	judy-devel
Requires:	%{name}-common = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Miredo is an open-source Teredo IPv6 tunneling software, for Linux and
the BSD operating systems. It includes functional implementations of
all components of the Teredo specification (client, relay and server).
It is meant to provide IPv6 connectivity even from behind NAT devices.

This package contains Teredo server.

%description -l pl.UTF-8
Miredo to oprogramowanie do tunelowania IPv6 Toredo z otwartymi
źródłami dla systemów operacyjnych Linux i BSD. Zawiera funkcjonalne
implementacje wszystkich składników specyfikacji Toredo (klienta,
przekaźnika i serwera). Ma dostarczyć łączność z IPv6 nawet za
urządzeniami NAT.

Ten pakiet zawiera serwer Teredo.

%package common
Summary:	Common Miredo files
Summary(pl.UTF-8):	Wspólne pliki Miredo
Group:		Daemons

%description common
Common Miredo files.

%description common -l pl.UTF-8
Wspólne pliki Miredo.

%package client-teredo
Summary:	Miredo Teredo client
Summary(pl.UTF-8):	Klient Miredo Teredo
Group:		Daemons
Requires:	%{name}-common = %{version}-%{release}

%description client-teredo
Miredo Teredo client.

%description client-teredo -l pl.UTF-8
Klient Miredo Teredo.

%package libs
Summary:	Miredo libraries
Summary(pl.UTF-8):	Biblioteki Miredo
Group:		Libraries

%description libs
Miredo libraries.

%description libs -l pl.UTF-8
Biblioteki Miredo.

%package devel
Summary:	Development files for miredo
Summary(pl.UTF-8):	Pliki programistyczne dla miredo
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	judy-devel

%description devel
Development files for miredo.

%description devel -l pl.UTF-8
Pliki programistyczne dla miredo.

%package static
Summary:	Static miredo libraries
Summary(pl.UTF-8):	Statyczne biblioteki miredo
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static miredo libraries.

%description static -l pl.UTF-8
Statyczne biblioteki miredo.

%prep
%setup -q

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/rc.d/init.d

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}-server
install %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}-teredo

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add miredo-server
%service miredo-server restart

%preun
if [ "$1" = "0" ]; then
        %service miredo-server stop
        /sbin/chkconfig --del miredo-server
fi

%post client-teredo
/sbin/chkconfig --add miredo-teredo
%service miredo-teredo restart

%preun client-teredo
if [ "$1" = "0" ]; then
        %service miredo-teredo stop
        /sbin/chkconfig --del miredo-teredo
fi

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/miredo-server
%attr(754,root,root) /etc/rc.d/init.d/miredo-server
%{_mandir}/man5/miredo-server.conf.5*
%{_mandir}/man8/miredo-server.8*

%files common -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/teredo-mire
%attr(755,root,root) %{_sbindir}/miredo-checkconf
%dir %{_libdir}/miredo
%attr(755,root,root) %{_libdir}/miredo/miredo-privproc
%dir %{_sysconfdir}/miredo
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/miredo/miredo.conf
%attr(755,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/miredo/client-hook
%{_mandir}/man1/teredo-mire.1*
%{_mandir}/man8/miredo-checkconf.8*

%files client-teredo
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/miredo
%attr(754,root,root) /etc/rc.d/init.d/miredo-teredo
%{_mandir}/man5/miredo.conf.5*
%{_mandir}/man8/miredo.8*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libteredo.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libteredo.so.5
%attr(755,root,root) %{_libdir}/libtun6.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libtun6.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libteredo.so
%attr(755,root,root) %{_libdir}/libtun6.so
%{_libdir}/libteredo.la
%{_libdir}/libtun6.la
%{_includedir}/libteredo
%{_includedir}/libtun6

%files static
%defattr(644,root,root,755)
%{_libdir}/libteredo.a
%{_libdir}/libtun6.a
%changelog
* Sat Jan 05 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/miredo.git;a=log;h=master

* Mon Feb 06 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 8d9098a
No empty pidfile/config.

* Sun Jan 22 2012 zbyniu <zbyniu@pld-linux.org> 8449774
- up to 1.2.4

* Sat Jan 09 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 453e1bf
- up to 1.2.2

* Tue Aug 25 2009 aredridel <aredridel@pld-linux.org> 4013d21
- +x on privproc

* Tue Aug 25 2009 aredridel <aredridel@pld-linux.org> 650e180
- drop obsolete files

* Tue Aug 25 2009 aredridel <aredridel@pld-linux.org> 6aed441
- 1.1.7

* Sat Nov 29 2008 Jakub Bogusz <qboosh@pld-linux.org> db361cb
- more verbose links, ghost soname symlinks
- -devel R: judy-devel

* Sat Nov 29 2008 Jakub Bogusz <qboosh@pld-linux.org> 0698726
- pl for new subpackages, unified

* Fri Nov 28 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 0e41c51
- split into subpackages; add init scripts

* Fri Nov 28 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 9c871d7
- initial

* Fri Nov 28 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 0883185
- up to 1.1.5

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 5b27902
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 040dde8
- converted to UTF-8

* Wed Sep 13 2006 Jakub Bogusz <qboosh@pld-linux.org> ca8052b
- typo

* Tue Sep 12 2006 Jakub Bogusz <qboosh@pld-linux.org> 1adda58
- updated Source0 URL

* Sat Feb 04 2006 Jakub Bogusz <qboosh@pld-linux.org> 9ae77fb
- pl, marked config files as config

* Sat Feb 04 2006 aredridel <aredridel@pld-linux.org> 3604347
- move server dist conf to actual conf

* Sat Feb 04 2006 aredridel <aredridel@pld-linux.org> 977ca4b
- added

